import React from 'react'
import styled from 'styled-components'
import Rating from '@material-ui/lab/Rating';
import StarBorderIcon from '@material-ui/icons/StarBorder';
import {LikeCounter, ButtonNoWidth} from '../Components/ResourceCardFunction.js'
import FavoriteIcon from '@material-ui/icons/Favorite';

export default function Firulas (props) {
    return (
        <ConteinerFirulas>
            <Rating
              name="customized-empty"
              value={props.rating*10}
              precision={0.5}
              style={{color:"#666", marginRight : "20px"}}
              emptyIcon={<StarBorderIcon fontSize="inherit" />}
            />
            <LikeCounter style={{marginLeft : "-3px", display : "flex", alignItems : "center"}}>
                <span>{props.likesCount}</span>
                <ButtonNoWidth>
                    <FavoriteIcon style={{color : props.liked ? "red" : "#666" }}/>
                </ButtonNoWidth>
            </LikeCounter>
        </ConteinerFirulas>
    )
}

const ConteinerFirulas = styled.div`
    margin-bottom : 30px;
    display : inline-flex;
    padding-bottom : 10px;
`
